package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.business.entity.SupplementWorkPerson;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface SupplementWorkPersonService {
	SupplementWorkPerson get(String id);
	boolean exist(String id);
	int insert(SupplementWorkPerson model);
	int update(SupplementWorkPerson model);
	int delete(String id);
	List<SupplementWorkPerson> list();
	Page<SupplementWorkPerson> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    List<SupplementWorkPerson> findByScheduleAttendanceId(String scheduleAttendanceId);

    List<SupplementWorkPerson> findBySupplementWorkId(String supplementWorkId);

	int deletePerson(String id);
}